%CODDF Compute a transform-domain detection function based on 8xMDCT codec
%   DF=CODDF(FILENAME,BITRATE) decodes the given 8xMDCT coded file FILENAME
%   with the bitrate (BITRATE) in bits per second and returns the 
%   transform-domain detection function DF.
%
%   DF=CODDF(FILENAME,BITRATE,P) sets the paramaters (P is a structure):
%   - P.maxBlock: max block index of the selected atoms. (Default: 2, it
%   means that only atoms from the first (window size 128) and second
%   (window size 256) blocks are selected).
%   - P.hopsize: detection function hop size (Default: 512).

%   Mex implementation in coddf.cpp
