%CODMDCT Decode 8xMDCT coded file and returns MDCT coefficients
%   C = CODMDCT(FILENAME,BITRATE) decodes the given 8xMDCT coded file 
%   (FILENAME) with a bitrate (BITRATE) in bits per second, and returns 
%   MDCT coefficients C.
%
%   The vector C is the concatenation of 8 vectors of coefficients
%   corresponding to 8 MDCT bases with window sizes:
%   128,256,512,1024,2048,4096,8192,16384.
%
%   See also CODSYNTH

%   Mex implementation in codmdct.c
