/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __IMDCT_H
#define __IMDCT_H

#include "kiss_fft.h"

class imdct {

private:
	unsigned int len;
	unsigned int len2;
	unsigned int len4;
	unsigned int len8;
	kiss_fft_cfg cfg;
	kiss_fft_cpx *infft;
	kiss_fft_cpx *outfft;
	double *twidRe;
	double *twidIm;
	double *window;

public:
	imdct( unsigned int set_len );
	~imdct( void );
	void compute( double *in, double *out );
};

#endif
